summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-10-02 15:05:57 +0200
committerManuel Rüger <mrueg@gentoo.org>2017-10-02 15:06:35 +0200
commit03cbab541244ccb3d413dac318a4b1412df6719c (patch)
tree0157bcc84eb17b2724a262e3632bfc140e70c1be
parentmedia-radio/gpredict: drop old (diff)
downloadgentoo-03cbab541244ccb3d413dac318a4b1412df6719c.tar.gz
gentoo-03cbab541244ccb3d413dac318a4b1412df6719c.tar.bz2
gentoo-03cbab541244ccb3d413dac318a4b1412df6719c.zip
dev-util/drone: Version bump to 0.8.1
Package-Manager: Portage-2.3.10, Repoman-2.3.3
-rw-r--r--dev-util/drone/Manifest3
-rw-r--r--dev-util/drone/drone-0.8.1.ebuild52
2 files changed, 55 insertions, 0 deletions
diff --git a/dev-util/drone/Manifest b/dev-util/drone/Manifest
index 18efefa95ca..6696b33a0ad 100644
--- a/dev-util/drone/Manifest
+++ b/dev-util/drone/Manifest
@@ -1,6 +1,9 @@
DIST drone-0.7.3.tar.gz 4133041 SHA256 997ce994fb852ffc0c98f20ba17d9ff458b396019207e923cd5863ec7599211e SHA512 4c85e964f43ce3076996cd1cbcfc3675d74b254278d046d1e7d4b7f04ee5fcc55a6de04947c3f8102be474e0ef3fbd5d0006ac2b39aae04fe2bc6b466b513c66 WHIRLPOOL 18cfc24df5735b11f767b0ec323f591e44b08192abb05eff3984ef6bd8ce3df548924fb69b9543cb3c92c3b26f3bddfdfd105ec4014ebe2bd5c2b420c7fe6c2f
DIST drone-0.8.0.tar.gz 4755986 SHA256 1d0c375308a444fa0f0f92c1fda2e1cd7fabf1683b5d77a418076844520bfc84 SHA512 f6a383df0718e7db7c35b518b248af001aeca5fc836f12d1f363a6897ea278d72e54d16f72fa9887aecdc162e0cb7fa5572215e0069f4dcacc0be4e1132a58d7 WHIRLPOOL 9a76227a2e0eb6a60ed989c62909131a30636e70074e230a95c20747cba6a752ebf430ca59391b2d9f72022f55fd60fe8dea732ab7c43d4f87533a5502b20064
+DIST drone-0.8.1.tar.gz 4756298 SHA256 08212cb57ab5dee58497219003dbf57cb8bc35ff441acdc5a8960dd42e9f9df0 SHA512 b34e606c1aae02e274ef41cdf4bfc1e584b3a1020b211d9d869f7905caa5f9a8514d694a1f51c4cef5431c228451763a50dc610b31b311f08e0e955f02737751 WHIRLPOOL 3877d43a34a0a9446e1f1dcd3a880c76cee3baaedda5149734b9fab90e07b584d6bf012883f954339e6a83d1a0212b671caccaeeddbecba05d9051ece7fee890
DIST github.com-drone-drone-ui-2910d0ee662816a2463d31f0988b1ecccd0410b5.tar.gz 167172 SHA256 5817bfb4fe7546a492d840f7a42a0dc6ede1eeacfc735024276bb90fb1522b5d SHA512 d4c6fbeba9ae5c55533a76fdcf6c251516aa4f8c650f49add7e9392d22a131438bd829670df801495d361417ec12cce07e9d9c28aacd1ce1adc0024408cf3cca WHIRLPOOL f941daae3f12c96fd439680c5ca81ccbe3aea2b76b1e250ef009a0fe7883514909113b6c9ab923bcb05a5950dec9b57bd849bedb8767225f6eece583f4fe63de
+DIST github.com-drone-drone-ui-5a497bd6cd5c3c17c53b00d40bcda1bf6f68f475.tar.gz 229479 SHA256 706b974674b70cb5c16ee1258c8a01535cc151940aab88c356a00549d1b150fa SHA512 38c59fc48f06805a2e69036b7184c7385ab51671f0a2538d779d15c9bc22f03cb091d971265b2522b755db955b326447cf041aa5f76792e0ab0b43c654f82fb7 WHIRLPOOL d863d94a58c9bb8622f1bbcfe2ee182f7f80160f4e8ce40c84390a13c39e953492a357a07d798c7b758fc5b856f1002d30e7eb8812427110a529df59aca0d510
DIST github.com-drone-drone-ui-87c64622eae0ea8d515fa6d551841d4b699bf7f1.tar.gz 229472 SHA256 afd19b2f5b90d79b20fe16a0d66085072b4d9f5ebae4acae766ba7561d1c450a SHA512 14982e52113293e80e183523be4b84a2594c19b5c47e26e09360ac81dcc5eed0205d107beec1d3b2f3d6be36f8c1b782bc487c8b897d288cf8a74852b28fb08b WHIRLPOOL f10af4ac5a8fdf392f81f2c1008527736875d2753d17c2f7e17dc4f3915c144aa9b12ad3f00aa2c0842fc439b7b10be251a26855e1fbc94bed73132505d15ae0
DIST github.com-golang-net-0744d001aa8470aaa53df28d32e5ceeb8af9bd70.tar.gz 920361 SHA256 03f6f00d1142924dfee5abd67e6a39801a1da5c9f372a122aaaaf3c65de58a39 SHA512 d308b4f872612287c29b815b6ac0c4c3efbda4c641940ed8553851b1e93c6654bf443367b5ec96166d68fc2759d7e90e46fd6f148f0a6d535bf057bb785627d7 WHIRLPOOL 3d058a51d06992f8c07640f2ff6e69c5a0c468251420857b26da30fb6dc9b15f169321a7a4a29849aa6f346122339a0758875d6afd31d8d85a0cf3be8bb481f2
+DIST github.com-golang-net-0a9397675ba34b2845f758fe3cd68828369c6517.tar.gz 922889 SHA256 46e2a7e1062920808f8c4dc026072ab0b4cd9176988d9b05b6e40c051621468d SHA512 0aba0d4661a21ff31efb3dcd811ec4c9862e21ceaff6cdbb4dbe3c99495b3c575a2cec5b356bb229d7a207e10e7753f286425ee03367a8607deacdcc4a92726d WHIRLPOOL 97c21f45d39e48eb2c4053d31306e8c710a80095e2d351e81182d9e8e017c2092000f2e8847a293ddbe33e2d6bf6bbb34c153529d6fbba8d1692f9059702e611
DIST github.com-golang-protobuf-130e6b02ab059e7b717a096f397c5b60111cae74.tar.gz 268449 SHA256 b9d3381955d095b8c4b26d0464f87e3b32f65fee51c2f791338bcdfea21a1ad8 SHA512 3caefc21de9d57ee484e32d831997efe1e086af652fbbff210c2097db03f933be78446ceea9d004200939b6d48737d716fae0674e1e142179e8ccd1827f3a228 WHIRLPOOL 0155a8e9cd779b1d636edad7b95bd8064b179aaa4139d722e1e423eece8be5cc462a9feed4bc1134b1530d2b04b336cd363c5b5cdc24c8caac707d3c20e06bda
diff --git a/dev-util/drone/drone-0.8.1.ebuild b/dev-util/drone/drone-0.8.1.ebuild
new file mode 100644
index 00000000000..147e36b2509
--- /dev/null
+++ b/dev-util/drone/drone-0.8.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGO_PN="github.com/drone/drone"
+EGIT_COMMIT="8125f97c2147e9cae75aa793efe72048b8588297"
+EGO_VENDOR=( "github.com/drone/drone-ui 5a497bd6cd5c3c17c53b00d40bcda1bf6f68f475"
+ "github.com/golang/protobuf 130e6b02ab059e7b717a096f397c5b60111cae74"
+ "golang.org/x/net 0a9397675ba34b2845f758fe3cd68828369c6517 github.com/golang/net"
+ )
+
+inherit golang-build golang-vcs-snapshot user
+
+ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="A Continuous Delivery platform built on Docker, written in Go"
+HOMEPAGE="https://github.com/drone/drone"
+SRC_URI="${ARCHIVE_URI}
+ ${EGO_VENDOR_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND="dev-go/go-bindata
+ dev-go/go-bindata-assetfs:="
+
+RESTRICT="test"
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 /var/lib/drone ${PN}
+}
+
+src_compile() {
+ pushd src || die
+ GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" go build -ldflags "-extldflags '-static' -X github.com/drone/drone/version.VersionDev=build.${PV}.${EGIT_COMMIT:0:7}" -o release/drone-server ${EGO_PN}/cmd/drone-server || die
+ GOPATH="${WORKDIR}/${P}" go build -ldflags "-X github.com/drone/drone/version.VersionDev=build.${PV}.${EGIT_COMMIT:0:7}" -o release/drone-agent ${EGO_PN}/cmd/drone-agent || die
+ popd || die
+}
+
+src_install() {
+ dobin src/release/drone-{agent,server}
+ dodoc src/github.com/drone/drone/README.md
+ keepdir /var/log/drone /var/lib/drone
+ fowners -R ${PN}:${PN} /var/log/drone /var/lib/drone
+ newinitd "${FILESDIR}"/drone-server.initd drone-server
+ newconfd "${FILESDIR}"/drone-server.confd drone-server
+ newinitd "${FILESDIR}"/drone-agent.initd drone-agent
+ newconfd "${FILESDIR}"/drone-agent.confd drone-agent
+}